
//Title:        Ihr Produktname
//Version:      
//Copyright:    Copyright (c) 1998
//Author:       H. Praehofer
//Company:      Johannes Kepler University Linz
//Description:  Ihre Beschreibung

package mosaic.sim.kernel.output;

import java.beans.*;

public class BasicView2dBeanInfo extends SimpleBeanInfo {
    Class beanClass = BasicView2d.class;
    String iconColor16x16Filename;
    String iconColor32x32Filename;
    String iconMono16x16Filename;
    String iconMono32x32Filename;

    public BasicView2dBeanInfo() {
    }

    public PropertyDescriptor[] getPropertyDescriptors() {
        PropertyDescriptor[] pds = new PropertyDescriptor[] { };
        return pds;
    }

    public java.awt.Image getIcon(int iconKind) {
        switch (iconKind) {
	        case BeanInfo.ICON_COLOR_16x16:
	          return iconColor16x16Filename != null ? loadImage(iconColor16x16Filename) : null;
	        case BeanInfo.ICON_COLOR_32x32:
	          return iconColor32x32Filename != null ? loadImage(iconColor32x32Filename) : null;
	        case BeanInfo.ICON_MONO_16x16:
	          return iconMono16x16Filename != null ? loadImage(iconMono16x16Filename) : null;
	        case BeanInfo.ICON_MONO_32x32:
	          return iconMono32x32Filename != null ? loadImage(iconMono32x32Filename) : null;
	    }
        return null;
    }
} 