
//Project:      SimBeans kernel
//Version:      0.3
//Copyright:    Copyright (c) 1998
//Author:       Herbert Praehofer, Johannes Sametinger, Alois Stritzinger
//Affiliation:  Johannes Kepler University, Linz, Austria

// -----------------------------------------------------------------------------------------------------------
// interface Distribution           --------------------------------------------------------------------------
// -----------------------------------------------------------------------------------------------------------
// programmed by: hp
// last modified by: hp, 29.12.98
// documented by: hp, 29.12.98


package mosaic.sim.kernel.random;

/** Interface for all distribution objects generating int and double values.
* (E.g. random distributions). 
*/
public interface Distribution
{
    /** Gets a integer value from the distribution */
    public int getRandInt ();
    
    /** Gets a double value from the distribution */
    public double getRandDouble ();
}