

//Project:        mosaic kernel
//Version:      0.3
//Copyright:    Copyright (c) 1998
//Author:       Herbert Praehofer, Johannes Sametinger, Alois Stritzinger
//Affiliation:  Johannes Kepler University, Linz, Austria

// -----------------------------------------------------------------------------------------------------------
// Class TimeEvent ------------------------------------------------------------------------------------------
// -----------------------------------------------------------------------------------------------------------
// programmed by: hp
// last modified by: hp, 14.12.98
// documented by: hp, 14.12.98


package mosaic.sim.kernel.simevent;

/**
* Event object for Time events.
* Extends SimEvent.
* Carries the time.
* Used by TimeEventComponent to signal time events.
*/
public class TimeEvent extends mosaic.sim.kernel.simevent.SimEvent {

// Constructors ----------------------------------------------------------------------------------------------

  /** Constructors for TimeEvent initializing event source. */
  public TimeEvent (Object source) {
        super (source);
  }

  /** Constructors for TimeEvent initializing event source and event time. */
  public TimeEvent (Object source, double evtTime) {
        super (source, evtTime);
  }

}   // end TimeEvent -----------------------------------------------------------------------------------------
