
/**
 * AlarmEvent.java
 *
 *
 * Created: Wed Nov 17 23:19:34 1999
 *
 * @author Reitinger Bernhard
 * @version 1.0
 */
package mosaic.sim.kernel.output;

public class AlarmEvent extends java.util.EventObject {

    private String message;
    private boolean status;

    public AlarmEvent(Object source) {
	super(source);
    }

    public AlarmEvent(Object source, String _message, boolean _status) {
	super(source);
	message = _message;
	status = _status;
    }

    /**
       * Get the value of status.
       * @return Value of status.
       */
    public boolean getStatus() {return status;}
    
    /**
       * Set the value of status.
       * @param v  Value to assign to status.
       */
    public void setStatus(boolean  v) {this.status = v;}
    
    /**
       * Get the value of message.
       * @return Value of message.
       */
    public String getMessage() {return message;}
    
    /**
       * Set the value of message.
       * @param v  Value to assign to message.
       */
    public void setMessage(String  v) {this.message = v;}
} // AlarmEvent
