package mosaic.sim.kernel.random;

import java.beans.*;

public class NormalDistributionBeanInfo extends SimpleBeanInfo {
  Class beanClass = NormalDistribution.class;
  String iconColor16x16Filename = "NormalDistributionC16.gif";
  String iconColor32x32Filename = "NormalDistributionC16.gif";
  String iconMono16x16Filename = "NormalDistributionC16.gif";
  String iconMono32x32Filename = "NormalDistributionC16.gif";

  
  public NormalDistributionBeanInfo() {
  }

  public PropertyDescriptor[] getPropertyDescriptors() {
    try  {
      PropertyDescriptor _deviation = new PropertyDescriptor("deviation", beanClass, "getDeviation", "setDeviation");
      
      PropertyDescriptor _mean = new PropertyDescriptor("mean", beanClass, "getMean", "setMean");
      
      PropertyDescriptor[] pds = new PropertyDescriptor[] {
        _deviation,
        _mean,
      };
      return pds;
    }
    catch (IntrospectionException ex) {
      ex.printStackTrace();
      return null;
    }
  }

  public java.awt.Image getIcon(int iconKind) {
    switch (iconKind) {
    case BeanInfo.ICON_COLOR_16x16:
      return iconColor16x16Filename != null ? loadImage(iconColor16x16Filename) : null;
    case BeanInfo.ICON_COLOR_32x32:
      return iconColor32x32Filename != null ? loadImage(iconColor32x32Filename) : null;
    case BeanInfo.ICON_MONO_16x16:
      return iconMono16x16Filename != null ? loadImage(iconMono16x16Filename) : null;
    case BeanInfo.ICON_MONO_32x32:
      return iconMono32x32Filename != null ? loadImage(iconMono32x32Filename) : null;
    }
    return null;
  }
}






